Bug 37496 - RFE: Usability changes to the installer event dialogs
RFE: Usability changes to the installer event dialogs
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-04-24 22:27 EDT by Kervin Pierre
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-25 11:15:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kervin Pierre 2001-04-24 22:27:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Error/Info/Warning event dialogs should be standardised in the installer,
with the following featues include.  These improvements I believe would
increase the usuability of the installer.

My suggests for the error/info/warning dialog...

Then the user is provided a dialog which
(a)ALWAYS includes a simplified message.  Simple and short so a newbie
would understand.
(b)ALWAYS includes a standard icon symbolizing the severity of the
error/warning/info event.  In the case of the text (ncurses) install, the
icon can be replaced by a standard header or something stating the
(c)ALWAYS includes a 'DETAILS...' option.  This option would give a more
detailed description of the error if available, or a standard
explaination of what could have caused the error.
(d)SHOULD include an 'ABORT operation/installation' option if the error can
possibly be unrecoverable.  That would cover most errors and a few warnings
too.  'ABORT operation' would allow the user to skip that part of install
and continue if possible, 'ABORT installation' whould end the install
(e)if the the ABORT option is selected the user is ALWAYS given the
choice to cancel the ABORT.
(f)ALWAYS provide a default course of action that the installer
programmer feels usually is the correct course of action, or can
determine to be the correct course of action from the install info. 
This default action can be the choice currently given to users as their
only choice today, eg. RETRY on some cd rom errors.

Reproducible: Always
Steps to Reproduce:

Actual Results:  The dialogs from the installer sometimes give enough
information, but not always, and is confusing at times. I hope my
suggestions are seen as improvements

Expected Results:  The installer's gui messages should be uniform,
identifying the severity of the event, and a brief simple summary of the
event.  A option for a more detailed description of the event should be
present.  This dialog should give the user the choices listed in the
description, as well as a default selection.
Comment 1 Brent Fox 2001-04-24 22:33:46 EDT
We will consider your recommendations for a future release.  Thanks for your
suggestions...this really helps us build a better product.
Comment 2 Brent Fox 2001-07-03 16:24:23 EDT
I think there are some valid points here, but we have higher priority issues to
deal with right now.  Deferring.
Comment 3 Michael Fulbright 2002-03-26 12:27:31 EST
Deferred to future release.
Comment 4 Michael Fulbright 2002-05-26 15:00:37 EDT
Fixing bug status- sorry for the email.

Note You need to log in before you can comment on or make changes to this bug.